classification
Title: python man page contains $Date$ in page footer
Type: behavior Stage: resolved
Components: Build Versions: Python 3.6, Python 3.2, Python 3.3, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, cstratak, eric.araujo, ezio.melotti, georg.brandl, ned.deily, orsenthil, python-dev
Priority: normal Keywords: easy, patch

Created on 2013-02-09 09:03 by ned.deily, last changed 2016-03-22 05:31 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue17167.patch cstratak, 2016-03-21 13:01 Removal of $Date$ macro from man page center footer review
Messages (6)
msg181722 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-09 09:03
The center footer in the source for the python man page, specifically the .th macro in Misc/python.man, contains an unexpanded $Date$ left over from the days of svn keyword expansions.  Since hg does not support such expansions, either the source should be edited to remove the keyword or the date should be expanded during builds.  One possibility would be to add sed edit steps to the altmaninstall makefile target and to "release.py --export".
msg181842 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-02-10 19:23
There is another option. To have the same behavior like svn keywords
through hg. Having this setting at server hgrc can help.
This will be useful if we have more than one instance of keyword expansion.

[extensions]
keyword=

[keyword]
**/*.man =

[keywordmaps]
date = {date|rfc822date}
msg181843 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-02-10 19:32
The keyword extension would have to be added by everyone to their existing .hgrc files and the Mercurial developers discourage its use ("This is considered a feature of last resort.").  Better to eliminate the keyword in the source.  There were others that have already been taken care of.
msg182153 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2013-02-15 17:36
Agreed with Ned, this sounds like a job for the release script to me.

I think we avoid manual edition of dates in the HTML docs thanks to Sphinx; we could generate the man page with Sphinx too (if there were enough advantages than just this issue).
msg262123 - (view) Author: Charalampos Stratakis (cstratak) * Date: 2016-03-21 13:01
What do you think about just removing the keyword?
msg262161 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-22 05:31
New changeset ed85850499bd by Benjamin Peterson in branch '3.4':
remove useless $ keyword (closes #17167)
https://hg.python.org/cpython/rev/ed85850499bd

New changeset 86355b610d7c by Benjamin Peterson in branch '2.7':
remove useless $ keyword (closes #17167)
https://hg.python.org/cpython/rev/86355b610d7c

New changeset 4784717cb254 by Benjamin Peterson in branch '3.5':
merge 3.4 (#17167)
https://hg.python.org/cpython/rev/4784717cb254

New changeset c1edc2abbf97 by Benjamin Peterson in branch 'default':
merge 3.5 (#17167)
https://hg.python.org/cpython/rev/c1edc2abbf97
History
Date User Action Args
2016-03-22 05:31:42python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg262161

resolution: fixed
stage: needs patch -> resolved
2016-03-21 13:01:28cstrataksetfiles: + issue17167.patch

nosy: + cstratak
messages: + msg262123

keywords: + patch
2016-03-21 10:47:07cstrataksetversions: + Python 3.6
2016-03-17 16:23:17cstrataksetversions: + Python 3.5
2013-02-15 17:36:56eric.araujosetnosy: + eric.araujo
messages: + msg182153
2013-02-15 17:22:01ezio.melottisetkeywords: + easy
nosy: + ezio.melotti
type: behavior
2013-02-10 19:32:13ned.deilysetmessages: + msg181843
2013-02-10 19:23:28orsenthilsetnosy: + orsenthil
messages: + msg181842
2013-02-09 09:03:55ned.deilycreate